Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Class Graph.CloneAction<T>

    java.lang.Object
      org.modeshape.graph.Graph.AbstractAction<T>
          org.modeshape.graph.Graph.CloneAction<T>

All Implemented Interfaces:
  Graph.Clone<T>, Graph.Conjunction<T>, Graph.FromWorkspace<Graph.AsChild<Graph.Into<Graph.WithUuids<T>>>>

Enclosing class:
  Graph

    @NotThreadSafe
    public abstract class Graph.CloneAction<T>

extends Graph.AbstractAction<T>
implements Graph.Clone<T>

Field Summary
`protected Location` | `from`

Method Summary
`Graph.AsChild<Graph.Into<Graph.WithUuids<T>>>` | `fromWorkspace(String workspaceName)`
`protected abstract T` | `submit(String fromWorkspaceName, Location from, String intoWorkspaceName, Location into, Name desiredName, Path.Segment desiredSegment, boolean removeExisting)`

Methods inherited from class org.modeshape.graph.Graph.AbstractAction
`and`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### from

    protected final Location from

Method Detail

### submit

    protected abstract T submit(String fromWorkspaceName,
                                Location from,
                                String intoWorkspaceName,
                                Location into,
                                Name desiredName,
                                Path.Segment desiredSegment,
                                boolean removeExisting)

### fromWorkspace

    public Graph.AsChild<Graph.Into<Graph.WithUuids<T>>> fromWorkspace(String workspaceName)

  Specified by:
    `fromWorkspace` in interface `Graph.FromWorkspace<Graph.AsChild<Graph.Into<Graph.WithUuids<T>>>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.